Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPRANDA2InstanceProvider.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPRANDA2InstanceProvider.cs	(revision 15541)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPRANDA2InstanceProvider.cs	(revision 15541)
@@ -0,0 +1,122 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Problems.Instances.Types;
+using System;
+using System.Collections.Generic;
+using System.IO;
+using System.IO.Compression;
+using System.Linq;
+using System.Reflection;
+using System.Text.RegularExpressions;
+
+namespace HeuristicLab.Problems.Instances.LinearOrdering
+{
+    public class LOPRANDA2InstanceProvider : ProblemInstanceProvider<LOPData>
+    {
+
+        public override string Name {
+            get { return "RANDA2"; }
+        }
+
+        public override string Description {
+            get { return "Linear Ordering Problems RANDA2 test instances"; }
+        }
+
+        public override Uri WebLink {
+            get { return new Uri("http://www.optsicom.es/lolib/lop/RANDA2.zip"); }
+        }
+
+        public override string ReferencePublication {
+            get { return String.Empty; }
+        }
+
+        public override IEnumerable<IDataDescriptor> GetDataDescriptors()
+        {
+            var instanceArchiveName = GetResourceName("RANDA2.zip");
+            if (String.IsNullOrEmpty(instanceArchiveName)) yield break;
+
+            using (var instanceStream = new ZipArchive(GetType().Assembly.GetManifestResourceStream(instanceArchiveName), ZipArchiveMode.Read))
+            {
+                foreach (var entry in instanceStream.Entries.Select(x => x.Name).OrderBy(x => x))
+                {
+                    yield return new LOPDataDescriptor(Path.GetFileNameWithoutExtension(entry), GetDescription(), entry, null);
+                }
+            }
+        }
+
+        public override LOPData LoadData(IDataDescriptor id)
+        {
+            var descriptor = (LOPDataDescriptor)id;
+            var instanceArchiveName = GetResourceName("RANDA2.zip");
+            using (var instancesZipFile = new ZipArchive(GetType().Assembly.GetManifestResourceStream(instanceArchiveName), ZipArchiveMode.Read))
+            {
+                var entry = instancesZipFile.GetEntry(descriptor.InstanceIdentifier);
+
+                using (var stream = entry.Open())
+                {
+                    var parser = new LOPParser();
+                    parser.Parse(stream);
+                    return Load(parser);
+                }
+            }
+        }
+
+        public override bool CanImportData {
+            get { return true; }
+        }
+        public override LOPData ImportData(string path)
+        {
+            var parser = new LOPParser();
+            parser.Parse(path);
+            return Load(parser);
+        }
+
+        private LOPData Load(LOPParser parser)
+        {
+            var instance = new LOPData
+            {
+                Name = parser.Name,
+                Description = parser.Description,
+                Dimension = parser.Dimension,
+                Matrix = parser.Matrix,
+                BestKnownPermutation = parser.BestKnownPermutation,
+                BestKnownQuality = parser.BestKnownQuality
+            };
+            return instance;
+        }
+
+        public override bool CanExportData {
+            get { return false; }
+        }
+        
+        private string GetDescription()
+        {
+            return "Embedded instance of plugin version " + Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyFileVersionAttribute), true).Cast<AssemblyFileVersionAttribute>().First().Version + ".";
+        }
+
+        protected virtual string GetResourceName(string fileName)
+        {
+            return Assembly.GetExecutingAssembly().GetManifestResourceNames()
+              .SingleOrDefault(x => Regex.Match(x, @".*\.Data\." + fileName).Success);
+        }
+    }
+}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPRANDBInstanceProvider.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPRANDBInstanceProvider.cs	(revision 15541)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPRANDBInstanceProvider.cs	(revision 15541)
@@ -0,0 +1,122 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Problems.Instances.Types;
+using System;
+using System.Collections.Generic;
+using System.IO;
+using System.IO.Compression;
+using System.Linq;
+using System.Reflection;
+using System.Text.RegularExpressions;
+
+namespace HeuristicLab.Problems.Instances.LinearOrdering
+{
+    public class LOPRANDBInstanceProvider : ProblemInstanceProvider<LOPData>
+    {
+
+        public override string Name {
+            get { return "RANDB"; }
+        }
+
+        public override string Description {
+            get { return "Linear Ordering Problems RANDB test instances"; }
+        }
+
+        public override Uri WebLink {
+            get { return new Uri("http://www.optsicom.es/lolib/lop/RANDB.zip"); }
+        }
+
+        public override string ReferencePublication {
+            get { return String.Empty; }
+        }
+
+        public override IEnumerable<IDataDescriptor> GetDataDescriptors()
+        {
+            var instanceArchiveName = GetResourceName("RANDB.zip");
+            if (String.IsNullOrEmpty(instanceArchiveName)) yield break;
+
+            using (var instanceStream = new ZipArchive(GetType().Assembly.GetManifestResourceStream(instanceArchiveName), ZipArchiveMode.Read))
+            {
+                foreach (var entry in instanceStream.Entries.Select(x => x.Name).OrderBy(x => x))
+                {
+                    yield return new LOPDataDescriptor(Path.GetFileNameWithoutExtension(entry), GetDescription(), entry, null);
+                }
+            }
+        }
+
+        public override LOPData LoadData(IDataDescriptor id)
+        {
+            var descriptor = (LOPDataDescriptor)id;
+            var instanceArchiveName = GetResourceName("RANDB.zip");
+            using (var instancesZipFile = new ZipArchive(GetType().Assembly.GetManifestResourceStream(instanceArchiveName), ZipArchiveMode.Read))
+            {
+                var entry = instancesZipFile.GetEntry(descriptor.InstanceIdentifier);
+
+                using (var stream = entry.Open())
+                {
+                    var parser = new LOPParser();
+                    parser.Parse(stream);
+                    return Load(parser);
+                }
+            }
+        }
+
+        public override bool CanImportData {
+            get { return true; }
+        }
+        public override LOPData ImportData(string path)
+        {
+            var parser = new LOPParser();
+            parser.Parse(path);
+            return Load(parser);
+        }
+
+        private LOPData Load(LOPParser parser)
+        {
+            var instance = new LOPData
+            {
+                Name = parser.Name,
+                Description = parser.Description,
+                Dimension = parser.Dimension,
+                Matrix = parser.Matrix,
+                BestKnownPermutation = parser.BestKnownPermutation,
+                BestKnownQuality = parser.BestKnownQuality
+            };
+            return instance;
+        }
+
+        public override bool CanExportData {
+            get { return false; }
+        }
+
+        private string GetDescription()
+        {
+            return "Embedded instance of plugin version " + Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyFileVersionAttribute), true).Cast<AssemblyFileVersionAttribute>().First().Version + ".";
+        }
+
+        protected virtual string GetResourceName(string fileName)
+        {
+            return Assembly.GetExecutingAssembly().GetManifestResourceNames()
+              .SingleOrDefault(x => Regex.Match(x, @".*\.Data\." + fileName).Success);
+        }
+    }
+}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPSGBInstanceProvider.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPSGBInstanceProvider.cs	(revision 15541)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPSGBInstanceProvider.cs	(revision 15541)
@@ -0,0 +1,122 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Problems.Instances.Types;
+using System;
+using System.Collections.Generic;
+using System.IO;
+using System.IO.Compression;
+using System.Linq;
+using System.Reflection;
+using System.Text.RegularExpressions;
+
+namespace HeuristicLab.Problems.Instances.LinearOrdering
+{
+    public class LOPSGBInstanceProvider : ProblemInstanceProvider<LOPData>
+    {
+
+        public override string Name {
+            get { return "SGB"; }
+        }
+
+        public override string Description {
+            get { return "Linear Ordering Problems SGB test instances"; }
+        }
+
+        public override Uri WebLink {
+            get { return new Uri("http://www.optsicom.es/lolib/lop/SGB.zip"); }
+        }
+
+        public override string ReferencePublication {
+            get { return String.Empty; }
+        }
+
+        public override IEnumerable<IDataDescriptor> GetDataDescriptors()
+        {
+            var instanceArchiveName = GetResourceName("SGB.zip");
+            if (String.IsNullOrEmpty(instanceArchiveName)) yield break;
+
+            using (var instanceStream = new ZipArchive(GetType().Assembly.GetManifestResourceStream(instanceArchiveName), ZipArchiveMode.Read))
+            {
+                foreach (var entry in instanceStream.Entries.Select(x => x.Name).OrderBy(x => x))
+                {
+                    yield return new LOPDataDescriptor(Path.GetFileNameWithoutExtension(entry), GetDescription(), entry, null);
+                }
+            }
+        }
+
+        public override LOPData LoadData(IDataDescriptor id)
+        {
+            var descriptor = (LOPDataDescriptor)id;
+            var instanceArchiveName = GetResourceName("SGB.zip");
+            using (var instancesZipFile = new ZipArchive(GetType().Assembly.GetManifestResourceStream(instanceArchiveName), ZipArchiveMode.Read))
+            {
+                var entry = instancesZipFile.GetEntry(descriptor.InstanceIdentifier);
+
+                using (var stream = entry.Open())
+                {
+                    var parser = new LOPParser();
+                    parser.Parse(stream);
+                    return Load(parser);
+                }
+            }
+        }
+
+        public override bool CanImportData {
+            get { return true; }
+        }
+        public override LOPData ImportData(string path)
+        {
+            var parser = new LOPParser();
+            parser.Parse(path);
+            return Load(parser);
+        }
+
+        private LOPData Load(LOPParser parser)
+        {
+            var instance = new LOPData
+            {
+                Name = parser.Name,
+                Description = parser.Description,
+                Dimension = parser.Dimension,
+                Matrix = parser.Matrix,
+                BestKnownPermutation = parser.BestKnownPermutation,
+                BestKnownQuality = parser.BestKnownQuality
+            };
+            return instance;
+        }
+
+        public override bool CanExportData {
+            get { return false; }
+        }
+        
+        private string GetDescription()
+        {
+            return "Embedded instance of plugin version " + Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyFileVersionAttribute), true).Cast<AssemblyFileVersionAttribute>().First().Version + ".";
+        }
+
+        protected virtual string GetResourceName(string fileName)
+        {
+            return Assembly.GetExecutingAssembly().GetManifestResourceNames()
+              .SingleOrDefault(x => Regex.Match(x, @".*\.Data\." + fileName).Success);
+        }
+    }
+}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPSPECInstanceProvider.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPSPECInstanceProvider.cs	(revision 15541)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPSPECInstanceProvider.cs	(revision 15541)
@@ -0,0 +1,122 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Problems.Instances.Types;
+using System;
+using System.Collections.Generic;
+using System.IO;
+using System.IO.Compression;
+using System.Linq;
+using System.Reflection;
+using System.Text.RegularExpressions;
+
+namespace HeuristicLab.Problems.Instances.LinearOrdering
+{
+    public class LOPSPECInstanceProvider : ProblemInstanceProvider<LOPData>
+    {
+
+        public override string Name {
+            get { return "SPEC"; }
+        }
+
+        public override string Description {
+            get { return "Linear Ordering Problems SPEC test instances"; }
+        }
+
+        public override Uri WebLink {
+            get { return new Uri("http://www.optsicom.es/lolib/lop/SPEC.zip"); }
+        }
+
+        public override string ReferencePublication {
+            get { return String.Empty; }
+        }
+
+        public override IEnumerable<IDataDescriptor> GetDataDescriptors()
+        {
+            var instanceArchiveName = GetResourceName("SPEC.zip");
+            if (String.IsNullOrEmpty(instanceArchiveName)) yield break;
+
+            using (var instanceStream = new ZipArchive(GetType().Assembly.GetManifestResourceStream(instanceArchiveName), ZipArchiveMode.Read))
+            {
+                foreach (var entry in instanceStream.Entries.Select(x => x.Name).OrderBy(x => x))
+                {
+                    yield return new LOPDataDescriptor(Path.GetFileNameWithoutExtension(entry), GetDescription(), entry, null);
+                }
+            }
+        }
+
+        public override LOPData LoadData(IDataDescriptor id)
+        {
+            var descriptor = (LOPDataDescriptor)id;
+            var instanceArchiveName = GetResourceName("SPEC.zip");
+            using (var instancesZipFile = new ZipArchive(GetType().Assembly.GetManifestResourceStream(instanceArchiveName), ZipArchiveMode.Read))
+            {
+                var entry = instancesZipFile.GetEntry(descriptor.InstanceIdentifier);
+
+                using (var stream = entry.Open())
+                {
+                    var parser = new LOPParser();
+                    parser.Parse(stream);
+                    return Load(parser);
+                }
+            }
+        }
+
+        public override bool CanImportData {
+            get { return true; }
+        }
+        public override LOPData ImportData(string path)
+        {
+            var parser = new LOPParser();
+            parser.Parse(path);
+            return Load(parser);
+        }
+
+        private LOPData Load(LOPParser parser)
+        {
+            var instance = new LOPData
+            {
+                Name = parser.Name,
+                Description = parser.Description,
+                Dimension = parser.Dimension,
+                Matrix = parser.Matrix,
+                BestKnownPermutation = parser.BestKnownPermutation,
+                BestKnownQuality = parser.BestKnownQuality
+            };
+            return instance;
+        }
+
+        public override bool CanExportData {
+            get { return false; }
+        }
+        
+        private string GetDescription()
+        {
+            return "Embedded instance of plugin version " + Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyFileVersionAttribute), true).Cast<AssemblyFileVersionAttribute>().First().Version + ".";
+        }
+
+        protected virtual string GetResourceName(string fileName)
+        {
+            return Assembly.GetExecutingAssembly().GetManifestResourceNames()
+              .SingleOrDefault(x => Regex.Match(x, @".*\.Data\." + fileName).Success);
+        }
+    }
+}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPXLOLIBInstanceProvider.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPXLOLIBInstanceProvider.cs	(revision 15541)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/LOPXLOLIBInstanceProvider.cs	(revision 15541)
@@ -0,0 +1,122 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Problems.Instances.Types;
+using System;
+using System.Collections.Generic;
+using System.IO;
+using System.IO.Compression;
+using System.Linq;
+using System.Reflection;
+using System.Text.RegularExpressions;
+
+namespace HeuristicLab.Problems.Instances.LinearOrdering
+{
+    public class LOPXLOLIBInstanceProvider : ProblemInstanceProvider<LOPData>
+    {
+
+        public override string Name {
+            get { return "XLOLIB"; }
+        }
+
+        public override string Description {
+            get { return "Linear Ordering Problems XLOLIB test instances"; }
+        }
+
+        public override Uri WebLink {
+            get { return new Uri("http://www.optsicom.es/lolib/lop/XLOLIB.zip"); }
+        }
+
+        public override string ReferencePublication {
+            get { return String.Empty; }
+        }
+
+        public override IEnumerable<IDataDescriptor> GetDataDescriptors()
+        {
+            var instanceArchiveName = GetResourceName("XLOLIB.zip");
+            if (String.IsNullOrEmpty(instanceArchiveName)) yield break;
+
+            using (var instanceStream = new ZipArchive(GetType().Assembly.GetManifestResourceStream(instanceArchiveName), ZipArchiveMode.Read))
+            {
+                foreach (var entry in instanceStream.Entries.Select(x => x.Name).OrderBy(x => x))
+                {
+                    yield return new LOPDataDescriptor(Path.GetFileNameWithoutExtension(entry), GetDescription(), entry, null);
+                }
+            }
+        }
+
+        public override LOPData LoadData(IDataDescriptor id)
+        {
+            var descriptor = (LOPDataDescriptor)id;
+            var instanceArchiveName = GetResourceName("XLOLIB.zip");
+            using (var instancesZipFile = new ZipArchive(GetType().Assembly.GetManifestResourceStream(instanceArchiveName), ZipArchiveMode.Read))
+            {
+                var entry = instancesZipFile.GetEntry(descriptor.InstanceIdentifier);
+
+                using (var stream = entry.Open())
+                {
+                    var parser = new LOPParser();
+                    parser.Parse(stream);
+                    return Load(parser);
+                }
+            }
+        }
+
+        public override bool CanImportData {
+            get { return true; }
+        }
+        public override LOPData ImportData(string path)
+        {
+            var parser = new LOPParser();
+            parser.Parse(path);
+            return Load(parser);
+        }
+
+        private LOPData Load(LOPParser parser)
+        {
+            var instance = new LOPData
+            {
+                Name = parser.Name,
+                Description = parser.Description,
+                Dimension = parser.Dimension,
+                Matrix = parser.Matrix,
+                BestKnownPermutation = parser.BestKnownPermutation,
+                BestKnownQuality = parser.BestKnownQuality
+            };
+            return instance;
+        }
+
+        public override bool CanExportData {
+            get { return false; }
+        }
+        
+        private string GetDescription()
+        {
+            return "Embedded instance of plugin version " + Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyFileVersionAttribute), true).Cast<AssemblyFileVersionAttribute>().First().Version + ".";
+        }
+
+        protected virtual string GetResourceName(string fileName)
+        {
+            return Assembly.GetExecutingAssembly().GetManifestResourceNames()
+              .SingleOrDefault(x => Regex.Match(x, @".*\.Data\." + fileName).Success);
+        }
+    }
+}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/Plugin.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/Plugin.cs	(revision 15541)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/Plugin.cs	(revision 15541)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Problems.Instances.LinearOrdering {
+  [Plugin("HeuristicLab.Problems.Instances.LinearOrdering", "3.3.14.14965")]
+  [PluginFile("HeuristicLab.Problems.Instances.LinearOrdering-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
+  public class HeuristicLabProblemsInstancesLinearOrderingPlugin : PluginBase {
+  }
+}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/Plugin.cs.frame
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/Plugin.cs.frame	(revision 15541)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/Plugin.cs.frame	(revision 15541)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Problems.Instances.LinearOrdering {
+  [Plugin("HeuristicLab.Problems.Instances.LinearOrdering", "3.3.14.14965")]
+  [PluginFile("HeuristicLab.Problems.Instances.LinearOrdering-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
+  public class HeuristicLabProblemsInstancesLinearOrderingPlugin : PluginBase {
+  }
+}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/Properties/AssemblyInfo.cs	(revision 15541)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.LinearOrdering/3.3/Properties/AssemblyInfo.cs	(revision 15541)
@@ -0,0 +1,57 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Problems.Instances.LinearOrdering-3.3")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab.Problems.Instances.LinearOrdering-3.3")]
+[assembly: AssemblyCopyright("Copyright ©  2017")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("9412aa5f-d663-4af4-b58b-d90fabb343bf")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.14.0")]
